Subject: RE: Setup 2.249.2.5 Hangs during "Install from Local Directory"
From: "John Carlyle- Clarke" <[email-masked]>
To: "Pavel Tsekov" <[email-masked]>
Cc: "Cygwin List (E-mail)" <[email-masked]>
Date: Wed, 18 Sep 2002 12:39:17 +0100

> -----Original Message-----
> From: Pavel Tsekov [mailto:[email-masked]]
> Sent: 18 September 2002 11:32
> To: John Carlyle- Clarke
> Cc: Cygwin List (E-mail)
> Subject: RE: Setup 2.249.2.5 Hangs during "Install from Local 
> Directory"
> 
> 
> On Wed, 18 Sep 2002, John Carlyle- Clarke wrote:
> 
> > This problem seems to occur when the setup program tries to 
> > access a file for writing for which it does not have permission.
> 
> Well, is there a chance you know also the name of the file. And is it 
> really a single file or a directory ? 

It really doesn't matter which file - the problem occurred with any file that setup wanted to write for which it did not have write permissions.  If you want an example, I remember it occurring with /usr/lib/ldscripts/i386pe.x but it could have been any other file.

I think there may be a more general problem here.  I messed up all my file permissions, which is how this problem came to light, and I am slowly putting them right.

However, I am getting exactly the same problem with crontab.  It doesn't have permission to write in /var/cron/tabs, and when you crontab -e and finish editing, it hangs up, using 98% CPU.

Here is some strace output - it repeats endless variations on this and never exits (it has to be terminated).  Changing the permission of /var/cron/tabs to 777 makes the problem go away.

  291     307 [main] crontab 360 alloc_sd: ACL-Size: 100
  154     461 [main] crontab 360 alloc_sd: Created SD-Size: 176
  372     833 [main] crontab 360 fhandler_base::open: 0xFFFFFFFF = CreateFileA (D:\cygwin\var\cron\tabs\tmp.wyrb60, 0xC0000000, 0x7, 0x22F388, 0x1, 0x2000080, 0)
  171    1004 [main] crontab 360 seterrno_from_win_error: /netrel/src/cygwin-1.3.12-2/winsup/cygwin/fhandler.cc:439 windows error 5
  139    1143 [main] crontab 360 geterrno_from_win_error: windows error 5 == errno 13
  136    1279 [main] crontab 360 fhandler_base::open: 0 = fhandler_base::open (D:\cygwin\var\cron\tabs\tmp.wyrb60, 0x100A02)
  154    1433 [main] crontab 360 fhandler_disk_file::open: 0 = fhandler_disk_file::open (D:\cygwin\var\cron\tabs\tmp.wyrb60, 0xA02)
  145    1578 [main] crontab 360 _open: -1 = open (tabs/tmp.wyrb60, 0xA02)
  139    1717 [main] crontab 360 _open: open (tabs/tmp.xyrb60, 0xA02)
  141    1858 [main] crontab 360 normalize_posix_path: src tabs/tmp.xyrb60
  139    1997 [main] crontab 360 cwdstuff::get: posix /var/cron
  135    2132 [main] crontab 360 cwdstuff::get: (/var/cron) = cwdstuff::get (0x22F288, 260, 1, 0), errno 13
  139    2271 [main] crontab 360 normalize_posix_path: /var/cron/tabs/tmp.xyrb60 = normalize_posix_path (tabs/tmp.xyrb60)
  142    2413 [main] crontab 360 mount_info::conv_to_win32_path: conv_to_win32_path (/var/cron/tabs/tmp.xyrb60)
  150    2563 [main] crontab 360 set_flags: flags: binary (0x2)
  136    2699 [main] crontab 360 mount_info::conv_to_win32_path: src_path /var/cron/tabs/tmp.xyrb60, dst D:\cygwin\var\cron\tabs\tmp.xyrb60, flags 0xA, rc 0
  392    3091 [main] crontab 360 symlink_info::check: GetFileAttributes (D:\cygwin\var\cron\tabs\tmp.xyrb60) failed
  165    3256 [main] crontab 360 geterrno_from_win_error: windows error 2 == errno 2
  355    3611 [main] crontab 360 symlink_info::check: GetFileAttributes (D:\cygwin\var\cron\tabs\tmp.xyrb60.lnk) failed
  153    3764 [main] crontab 360 geterrno_from_win_error: windows error 2 == errno 2
  137    3901 [main] crontab 360 symlink_info::check: 0 = symlink.check (D:\cygwin\var\cron\tabs\tmp.xyrb60, 0x22EF48) (0xA)
  145    4046 [main] crontab 360 mount_info::conv_to_win32_path: conv_to_win32_path (/var/cron/tabs)
  146    4192 [main] crontab 360 set_flags: flags: binary (0x2)
  137    4329 [main] crontab 360 mount_info::conv_to_win32_path: src_path /var/cron/tabs, dst D:\cygwin\var\cron\tabs, flags 0xA, rc 0
  205    4534 [main] crontab 360 symlink_info::check: not a symlink
  140    4674 [main] crontab 360 symlink_info::check: 0 = symlink.check (D:\cygwin\var\cron\tabs, 0x22EF48) (0xA)
  144    4818 [main] crontab 360 path_conv::check: root_dir(D:\), this->path(D:\cygwin\var\cron\tabs\tmp.xyrb60), set_has_acls(8)
  151    4969 [main] crontab 360 dtable::build_fhandler: fd 3, fh 0x61681274
  137    5106 [main] crontab 360 fhandler_base::open: (D:\cygwin\var\cron\tabs\tmp.xyrb60, 0x100A02) query_open 0
  195    5301 [main] crontab 360 cygsid::debug_print: alloc_sd: owner SID = S-1-5-21-1544045464-246821689-740312968-1011
  387    5688 [main] crontab 360 alloc_sd: ACL-Size: 100
  149    5837 [main] crontab 360 alloc_sd: Created SD-Size: 176
  334    6171 [main] crontab 360 fhandler_base::open: 0xFFFFFFFF = CreateFileA (D:\cygwin\var\cron\tabs\tmp.xyrb60, 0xC0000000, 0x7, 0x22F388, 0x1, 0x2000080, 0)
  167    6338 [main] crontab 360 seterrno_from_win_error: /netrel/src/cygwin-1.3.12-2/winsup/cygwin/fhandler.cc:439 windows error 5
  140    6478 [main] crontab 360 geterrno_from_win_error: windows error 5 == errno 13
  137    6615 [main] crontab 360 fhandler_base::open: 0 = fhandler_base::open (D:\cygwin\var\cron\tabs\tmp.xyrb60, 0x100A02)
  138    6753 [main] crontab 360 fhandler_disk_file::open: 0 = fhandler_disk_file::open (D:\cygwin\var\cron\tabs\tmp.xyrb60, 0xA02)
  144    6897 [main] crontab 360 _open: -1 = open (tabs/tmp.xyrb60, 0xA02)
  139    7036 [main] crontab 360 _open: open (tabs/tmp.yyrb60, 0xA02)
  154    7190 [main] crontab 360 normalize_posix_path: src tabs/tmp.yyrb60
  138    7328 [main] crontab 360 cwdstuff::get: posix /var/cron
  138    7466 [main] crontab 360 cwdstuff::get: (/var/cron) = cwdstuff::get (0x22F288, 260, 1, 0), errno 13
  140    7606 [main] crontab 360 normalize_posix_path: /var/cron/tabs/tmp.yyrb60 = normalize_posix_path (tabs/tmp.yyrb60)
  140    7746 [main] crontab 360 mount_info::conv_to_win32_path: conv_to_win32_path (/var/cron/tabs/tmp.yyrb60)
  149    7895 [main] crontab 360 set_flags: flags: binary (0x2)
  136    8031 [main] crontab 360 mount_info::conv_to_win32_path: src_path /var/cron/tabs/tmp.yyrb60, dst D:\cygwin\var\cron\tabs\tmp.yyrb60, flags 0xA, rc 0
  380    8411 [main] crontab 360 symlink_info::check: GetFileAttributes (D:\cygwin\var\cron\tabs\tmp.yyrb60) failed
  161    8572 [main] crontab 360 geterrno_from_win_error: windows error 2 == errno 2
  202    8774 [main] crontab 360 symlink_info::check: GetFileAttributes (D:\cygwin\var\cron\tabs\tmp.yyrb60.lnk) failed
  143    8917 [main] crontab 360 geterrno_from_win_error: windows error 2 == errno 2
  136    9053 [main] crontab 360 symlink_info::check: 0 = symlink.check (D:\cygwin\var\cron\tabs\tmp.yyrb60, 0x22EF48) (0xA)
  142    9195 [main] crontab 360 mount_info::conv_to_win32_path: conv_to_win32_path (/var/cron/tabs)
  182    9377 [main] crontab 360 set_flags: flags: binary (0x2)
  137    9514 [main] crontab 360 mount_info::conv_to_win32_path: src_path /var/cron/tabs, dst D:\cygwin\var\cron\tabs, flags 0xA, rc 0
  207    9721 [main] crontab 360 symlink_info::check: not a symlink
  139    9860 [main] crontab 360 symlink_info::check: 0 = symlink.check (D:\cygwin\var\cron\tabs, 0x22EF48) (0xA)
  144   10004 [main] crontab 360 path_conv::check: root_dir(D:\), this->path(D:\cygwin\var\cron\tabs\tmp.yyrb60), set_has_acls(8)
  152   10156 [main] crontab 360 dtable::build_fhandler: fd 3, fh 0x61681274
  138   10294 [main] crontab 360 fhandler_base::open: (D:\cygwin\var\cron\tabs\tmp.yyrb60, 0x100A02) query_open 0
  157   10451 [main] crontab 360 cygsid::debug_print: alloc_sd: owner SID = S-1-5-21-1544045464-246821689-740312968-1011

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/